Name:       nodejs-glob
Version:    3.1.9
Release:    1%{?dist}
Summary:    A little globber
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/isaacs/node-glob
Source0:    http://registry.npmjs.org/glob/-/glob-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if !(0%{?fedora} >= 17)
Requires:       nodejs
Requires:       nodejs-minimatch nodejs-graceful-fs nodejs-inherits
%endif

%description
This is a glob implementation in JavaScript. It uses the minimatch library
to do its matching.

%prep
%setup -q -n package

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/glob
cp -pr glob.js package.json %{buildroot}%{nodejs_libdir}/glob

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/glob
%doc README.md examples

%changelog
* Thu Mar 22 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 3.1.9-1
- new upstream release 3.1.9

* Fri Mar 16 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 3.1.6-1
- initial package
